part of aargul_crud;

class AargulCrudManager {
  final AargulCrudOptions options;
  AargulCrudManager(this.options);
  static final Map<
      String,
      Widget? Function(
          String fieldName,
          AargulCrudField field,
          BoxDecoration? fieldDecoration,
          TextStyle? labelStyle)> _typeBuilder = {};
  static final Map<
      String,
      Widget? Function(String fieldName, AargulCrudField field,
          Map<String, dynamic> values)> _cellBuilder = {};
  static register(
      String name,
      Widget? Function(
        String fieldName,
        AargulCrudField field,
        BoxDecoration? fieldDecoration,
        TextStyle? labelStyle,
      ) builder,
      {Widget? Function(String fieldName, AargulCrudField field,
              Map<String, dynamic> values)?
          cellBuilder}) {
    _typeBuilder[name] = builder;
    if (cellBuilder != null) {
      _cellBuilder[name] = cellBuilder;
    }
  }
}
