# aargul_crud

Aargul CRUD plugin

## Installation

First depend on the library by adding this to your packages `pubspec.yaml`:
```yaml
dependencies:
  aargul_crud: ^0.0.1
```

or Run 
```sh
flutter pub add aargul_crud
```

Now inside your Dart code you can import it.

```dart
import 'package:aargul_core/aargul_core.dart';
import 'package:aargul_crud/aargul_crud.dart';
```
## Example

```dart

import 'package:aargul_core/aargul_core.dart';
import 'package:aargul_crud/aargul_crud.dart';

void main() {
  runApp(AargulApp(
    homeBuilder: (aargulContext) => MyApp(
      aargulContext: aargulContext,
    ),
    dependencies: () {
      AargulCrud();
    },
  ));
}

class MyApp extends StatefulWidget {
  final AargulContext aargulContext;
  const MyApp({super.key, required this.aargulContext});

  @override
  State<MyApp> createState() => _MyAppState();
}
/// see example

```