part of aargul_crud;

class AargulCrudOptions {
  final Map<String, AargulCrudField> fields;

  final Future<dynamic> Function(Map<String, dynamic> values)? create;
  final Future<dynamic> Function(Map<String, dynamic> values)? update;
  final Future<dynamic> Function(Map<String, dynamic> values)? delete;
  final FutureOr<AargulCrudDataResponse> Function(int startIndex, int count)?
      read;
  final FutureOr<AargulCrudDataResponse> Function(
      double radiusInKm, LatLng center)? geoRead;

  final String Function(Map<String, dynamic> values)? getKey;

  AargulCrudOptions({
    required this.fields,
    this.geoRead,
    this.create,
    this.update,
    this.delete,
    this.read,
    this.getKey,
  });
}
